LMORPH(1)

NAME
lmorph - morphing lines

SYNOPSIS
lmorph [--display host:display.screen] [--foreground color] [--background color] [--window] [--root] [--window-id number][--mono] [--install] [--visual visual] [--points int] [--steps int] [--delay usecs] [--figtype type] [--fps]

DESCRIPTION
The lmorph program generates random spline-ish line drawings and morphs between them.

OPTIONS
lmorph accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--mono
    If on a color display, pretend we're on a monochrome display.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--points integer
    Number of points in each line drawing. Default is 200 points.

--steps integer
    Interpolation steps from one drawing to the next. Default is 150. You may specify 0, to get a random number between 100 and 500.

--delay microseconds
    How much of a delay should be introduced between steps of the animation. Default 70000.

--figtype type
    Limit the figures to only open or closed figures. Possible types are "all" (default), "open" and "closed".

--linewidth integer
    Width of lines. Default is 5 pixels.

--fps
    Display the current frame rate and CPU load.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
X(1), xscreensaver(1)

AUTHOR
Sverre H. Huseby <sverrehu@online.no> and Glenn T. Lines <glennli@ifi.uio.no>, built on top of the screen saver routines by Jamie Zawinski <jwz@jwz.org>.